Menu

FlowSync 4 for mac OS – How to get it

Polar FlowSync version 4 is ready to download and install for most Mac users. Check the OS version compatibility from here.

If you already have FlowSync 3 on your computer, you should get the new version automatically. FlowSync will ask you to accept the upgrade when you open the program and sync your Polar device.

However, if you have FlowSync 3 and you've upgraded to macOS Big Sur (v.11), you will have to download and install the update yourself. Get the new Mac version from https://flow.polar.com/start and follow the on-screen instructions.

Note that the installer may ask to install a system extension signed by Polar Electro Oy. It is needed only to sync a Polar V650 bike computer. If you don't have one you can skip it.

If you have a newer Mac with Apple M1 silicon, you can install and run FlowSync 4, but you might need to install Apple's Rosetta 2 emulator. This will take place automatically once you open FlowSync. Learn more from Apple.

Contact Us
Contact Us
Request repair
Request repair

Change region

If your country is not listed on this page, please find your local contact details, retailers and stores and service points on our global site.